clc
clear
close all
addpath d:/001-tools/001-Matlab/mytoolbox/m_map/
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
load('../grid/mask')
%%
files = ls('../so_combine/*.nc');
for i=1:1 %length(files(:,1))
    so_file = strtrim(files(i,:));
    to_file = ['thetao' so_file(3:end)];
    
    for ii=1:length(to_file)-4
        if(to_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=to_file(13:ee)
        end
    end
%     model='AWI-CM-1-1-LR'
    
    load([model '/' num2str(1948)], 'longitude', 'latitude', 't400', 's400');
    x=longitude;
    y=latitude;
    x(x<0)=x(x<0)+360;
    new_mask = griddata(double(lon),double(lat),mask,x,y);
    new_mask(new_mask<0.5)=0;
    new_mask(new_mask>0.5)=1;
    
    
    for ii = 1948:2009
        ii
        load([model '/' num2str(ii)], 'longitude', 'latitude', 't400', 's400');
        t400_annual(1:448,1:304,ii-1947) = griddata(x,y,t400,double(lon),double(lat));
        t400_annual_tmp(1:448,1:304,ii-1947) = griddata(x,y,t400,double(lon),double(lat),'nearest');
        
        s400_annual(1:448,1:304,ii-1947) = griddata(x,y,s400,double(lon),double(lat));
        s400_annual_tmp(1:448,1:304,ii-1947) = griddata(x,y,s400,double(lon),double(lat),'nearest');
    end
    t400_annual(isnan(t400_annual))=t400_annual_tmp(isnan(t400_annual));
    s400_annual(isnan(s400_annual))=s400_annual_tmp(isnan(s400_annual));
    
    close all
    figure(1)
    set(gcf,'unit','normalized','position',[.1 .1 .6 .4])
    subplot(1,2,1)
    m_proj('stereographic','latitude',90,'radius',20,'rotangle',30);
    m_contourf(lon,lat,nanmean(t400_annual,3),-2:.3:5,'linestyle','none');
    m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','');
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    caxis([-2 5])
    colorbar
    title(model);
    
    subplot(1,2,2)
    m_proj('stereographic','latitude',90,'radius',20,'rotangle',30);
    m_contourf(lon,lat,nanmean(s400_annual,3),34.2:.02:35.2,'linestyle','none');
    m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','');
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    caxis([34.2 35.2])
    colormap('jet');
    colorbar
    title(model);
    
    t=1948:2009;
    save(['regrid_ts400_' model], 'lon', 'lat', 't400_annual', 's400_annual', 't')
end
