clc
clear
close all
%%
y=60:.25:90;
x=70:180:250;
[x,y]=meshgrid(x,y);
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .1 .7 .5])
%%
load('PHC3.0.mat')
if(isnan(section(120,1,1)))
    section(120,:,:)=section(119,:,:);
    section(123,:,:)=section(124,:,:);
end

section(121,:,:)=section(120,:,:);
section(122,:,:)=section(123,:,:);


set(axes,'position',[.07 .23 .25 .6])
xx=1:242;
[xxx,yy]=meshgrid(xx,lev/1000);
pcolor(xxx,yy,nanmean(section,3)');
shading flat
hold on
contour(xxx,yy,nanmean(section,3)',[0 0],'linecolor','k','linewidth',2);
caxis([-2 1.5]);axis([35 202 0 5]);xlabel('Latitude [\circN]');ylabel('Depth [km]')
set(gca,'ydir','reverse','fontsize',18,'xtick',41:40:202,'xticklabel',{'70';'80';'90';'80';'70'},'tickdir','out','ytick',0:1:5,'ticklength',[.02 .02],'yminortick','on')
title('(a) PHC3.0')
grid on
text(110,4.2, 'Eurasian','fontsize',16)
text(110,4.6, '   Basin','fontsize',16)

text(50,4.2, 'Amerasian','fontsize',16)
text(50,4.6, '    Basin','fontsize',16)
%%
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    model = files{i}
    load(model,'section','x','y','lev')
    if(isnan(section(120,1,1)))
        section(120,:,:)=section(119,:,:);
        section(123,:,:)=section(124,:,:);
    end
    section(121,:,:)=section(120,:,:);
    section(122,:,:)=section(123,:,:);
    clim = nanmean(section(:,:,24:53),3); %1971-2000
    [xxxx,yyyy]=meshgrid(xx,lev/1000);
    clim_omip1(1:33,1:242,i) = griddata(double(xxxx),double(yyyy),double(clim'),xxx,yy);
end

for i=1:length(files(:,1))
    model = files{i}
    load(['../../cmip6_omip2/get_S_section/' model],'section','x','y','lev')
    if(isnan(section(120,1,1)))
        section(120,:,:)=section(119,:,:);
        section(123,:,:)=section(124,:,:);
    end
    section(121,:,:)=section(120,:,:);
    section(122,:,:)=section(123,:,:);
    clim = nanmean(section(:,:,14:43),3); %1971-2000
    [xxxx,yyyy]=meshgrid(xx,lev/1000);
    clim_omip2(1:33,1:242,i) = griddata(double(xxxx),double(yyyy),double(clim'),xxx,yy);
end
%%
set(axes,'position',[.36 .23 .25 .6])
pcolor(xxx,yy,nanmean(clim_omip1,3));
shading flat
hold on
contour(xxx,yy,nanmean(clim_omip1,3),[0 0],'linecolor','k','linewidth',2);
caxis([-2 1.5]);axis([35 202 0 5]);xlabel('Latitude [\circN]');% ylabel('Depth [km]')
set(gca,'ydir','reverse','fontsize',18,'xtick',41:40:202,'xticklabel',{'70';'80';'90';'80';'70'},'tickdir','out','ytick',0:1:5,'ticklength',[.02 .02],'yminortick','on')
title('(b) OMIP-1')
grid on
text(110,4.2, 'Eurasian','fontsize',16)
text(110,4.6, '   Basin','fontsize',16)

text(50,4.2, 'Amerasian','fontsize',16)
text(50,4.6, '    Basin','fontsize',16)


set(axes,'position',[.65 .23 .25 .6])
pcolor(xxx,yy,nanmean(clim_omip2,3));
shading flat
hold on
contour(xxx,yy,nanmean(clim_omip2,3),[0 0],'linecolor','k','linewidth',2);
caxis([-2 1.5]);axis([35 202 0 5]);xlabel('Latitude [\circN]');% ylabel('Depth [km]')
set(gca,'ydir','reverse','fontsize',18,'xtick',41:40:202,'xticklabel',{'70';'80';'90';'80';'70'},'tickdir','out','ytick',0:1:5,'ticklength',[.02 .02],'yminortick','on')
title('(c) OMIP-2')
grid on
h=colorbar('eastoutside'); 
colormap('jet')
clear c cc
c=colormap;
cc=c(1:64/16:end,1:3);
colormap(cc)
set(h,'position',[.915 .23 .012 .6],'fontsize',18,'ytick',-2:.5:2,'tickdir','out','linewidth',.5)
colormap(othercolor(184,14))
cbarrow('up')
text(110,4.2, 'Eurasian','fontsize',16)
text(110,4.6, '   Basin','fontsize',16)

text(50,4.2, 'Amerasian','fontsize',16)
text(50,4.6, '    Basin','fontsize',16)