clc
clear
close all
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
y=60:.25:90;
x=70:180:250;
[x,y]=meshgrid(x,y);
%%
figure(1)
set(gcf,'unit','normalized','position',[.05 .05 .9 .9])
%%
load('PHC3.0.mat')
if(isnan(section(120,1,1)))
    section(120,:,:)=section(119,:,:);
    section(123,:,:)=section(124,:,:);
end

section(121,:,:)=section(120,:,:);
section(122,:,:)=section(123,:,:);
subplot(3,6,1)
xx=1:242;
[xxx,yy]=meshgrid(xx,lev/1000);
pcolor(xxx,yy,nanmean(section,3)');
shading flat
hold on
contour(xxx,yy,nanmean(section,3)',[0 0],'linecolor','k','linewidth',2);
caxis([-2 2]);axis([35 202 0 5]);xlabel('Latitude [\circN]');ylabel('Depth [km]')
set(gca,'ydir','reverse','fontsize',14,'xtick',41:40:202,'xticklabel',{'70';'80';'90';'80';'70'},'tickdir','out','ytick',0:1:5,'ticklength',[.03 .03])
title('PHC3.0')
grid on
%%
files = ls('*.mat');
n=1;
for i=1:length(files(:,1))
    tmp=strtrim(files(i,:));
    model=tmp(1:end-4);
    skip=0;
    if(length(model)==6)
        if(model=='PHC3.0')
            skip=1;
        end
    end
    if(skip==0)
        load(model,'section','x','y','lev')
        if(isnan(section(120,1,1)))
            section(120,:,:)=section(119,:,:);
            section(123,:,:)=section(124,:,:);
        end

        section(121,:,:)=section(120,:,:);
        section(122,:,:)=section(123,:,:);
        if (length(model)==9)
            if(model == 'CMCC-ESM2')
                for j=119:124
                    section(j,:,:)=section(118,:,:)+(section(125,:,:)-section(118,:,:))*(j-118)/(125-119);
                end
            end
        end

        if (i==length(files(:,1))-1)
            model
            axes('position',[.805 .122 .1 .204])
        else
            subplot(3,6,n+1)
        end
        xx=1:242;
        [xxx,yy]=meshgrid(xx,lev/1000);
        pcolor(xxx,yy,nanmean(section(:,:,24:53),3)'); %1971-2000
        shading flat
        hold on
        contour(xxx,yy,nanmean(section(:,:,24:53),3)',[0 0],'linecolor','k','linewidth',2); %1971-2000
        caxis([-2 2]);axis([35 202 0 5]);xlabel('Latitude [\circN]');ylabel('Depth [km]')
        set(gca,'ydir','reverse','fontsize',14,'xtick',41:40:202,'xticklabel',{'70';'80';'90';'80';'70'},'tickdir','out','ytick',0:1:5,'ticklength',[.03 .03])
        title(model)
        grid on
        n=n+1;
    end
end
h=colorbar('eastoutside');
colormap('jet')
clear cc ccc
cc=colormap;
ccc=cc(1:64/16:64,:);
colormap(ccc);
set(h,'position',[.93 .1 .008 .8],'fontsize',14,'ytick',-2:.25:2,'tickdir','out','linewidth',.5)
cbarrow('up')
colormap(othercolor(184,16))



