clc
clear
close all
%%
y=60:.25:90;
x=70:145:215;
[x,y]=meshgrid(x,y);
%%
files = ls('../so_combine/*.nc');
for i=9:length(files(:,1))
    so_file = strtrim(files(i,:));
    to_file = ['thetao' so_file(3:end)];
    
    for ii=1:length(to_file)-4
        if(to_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=to_file(13:ee)
        end
    end
    
    ginfo=ncinfo(['..\thetao_combine\' to_file]);   
    aa=ginfo.Variables;
    ncid=netcdf.open(['..\thetao_combine\' to_file],'nowrite');
        for ii=0:length(aa)-1
            var=netcdf.inqVar(ncid,ii);
            if(length(var)==3)
                if(var=='lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
                if(var=='lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==8)
                if(var=='latitude')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==9)
                if(var=='longitude')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end

            if(length(var)==7)
                if(var=='nav_lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==7)
                if(var=='nav_lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
        end
    netcdf.close(ncid);
    
    if(length(longitude(:,1))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end
    if(length(longitude(1,:))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end
    longitude(longitude<0)=longitude(longitude<0)+360;
      
    time = ncread(['../thetao_combine/' to_file],'time');
    istart = length(time)-62*12+1;
    iend = length(time);
    
    if(length(model) == 12)
        if(model == 'IPSL-CM6A-LR')
            lev_bnds = ncread(['../thetao_combine/' to_file], 'olevel_bounds');
        else
            lev_bnds = ncread(['../thetao_combine/' to_file], 'lev_bnds');
        end
    else
        lev_bnds = ncread(['../thetao_combine/' to_file], 'lev_bnds');
    end
    clear km n
    km = length(lev_bnds(1,:));
    
    if(length(model) == 10)
        if(model == 'MIROC-ES2L')
            uo = ncread(['../uo_combine/uo' to_file(7:end)], 'uo',[1 1 1 1],[Inf Inf Inf 1]);
            uo(uo==0)=NaN;
        end
    end
    
    km=length(lev_bnds(1,:));
    
    for k=1:km
        z = mean(lev_bnds(:,k));
    end
    
    lev = mean(lev_bnds,1);
    
    clear section tmp_regrid
    n=1;
    for ii = istart:12:iend
        to = ncread(['../thetao_combine/' to_file], 'thetao', [1 1 1 ii], [Inf Inf Inf 12]);
        clear to_annual; to_annual = nanmean(to,4); clear to
        
        if(length(model) == 10)
            if(model == 'MIROC-ES2L')
                to_annual(isnan(uo)) = NaN;
            end
        end     
        for k=1:km
            tmp = to_annual(:,:,k);
            tmp_regrid(1:121,1:2,k) = griddata(longitude,latitude,tmp,x,y);
            section(1:121,k,n)=tmp_regrid(1:1:121,2,k);
            section(122:242,k,n)=tmp_regrid(121:-1:1,1,k);
        end
        n=n+1;
    end
    save(model,'section','x','y','lev')    
end