clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
load('phc3','longitude','latitude','chl');
x=longitude;
y=latitude;
obs=nanmean(chl,3);
%%
files = ls('chl_regrid_*.mat');
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    load(['chl_regrid_' files{i} '.mat']);
    files{i}
    tmp = nanmean(chl_regrid(:,:,:,24:53),4);% 1971-2000
    cold = nanmean(tmp,3);
    cold(cold==0)=NaN;
    chl_omip1(1:448,1:304,i) = cold;
end
%%
for i=1:length(files(:,1))
    load(['g:\cmip6_omip2\get_chl\chl_regrid_' files{i} '.mat']);
    files{i}
    tmp = nanmean(chl_regrid(:,:,:,14:43),4);% 1971-2000
    cold = nanmean(tmp,3);
    chl_omip2(1:448,1:304,i) = cold;
    
    tmp1 = chl_regrid(:,:,:,22:end);% 1979-2018
    cold1(1:224,1:152,1:12,1:40,i) = tmp1(1:2:end,1:2:end,1:12,1:40);
    annual(1:224,1:152,1:40,i) = nanmean(cold1(:,:,:,:,i),3);
    std_all(1:224,1:152,i) = std(annual(1:224,1:152,1:30,i),[],3);
end
std_mean=nanmean(std_all,3);
aaaa = nanmean(cold1,5);
bbbb = squeeze(nanmean(aaaa,3));
diff = nanmean(bbbb(:,:,end-9:end),3)-nanmean(bbbb(:,:,1:30),3); %[2009-2018] - [1979-2008]
load('g:\cmip6_omip1\grid\mask')
tmp=mask(1:2:end,1:2:end);
diff(tmp<1)=NaN;
aaa = abs(diff);
mask1 = diff - diff;
mask1(aaa>std_mean)=1;
mask1(isnan(tmp))=NaN;
%%
load('../get_400m_ts/../grid/mask')
aaa=nanmean(chl_omip1(:,:,:),3);
aaa(mask<1)=NaN;

obs_regrid=griddata(x,y,obs,double(lon),double(lat));
clear tmp
tmp=griddata(x(~isnan(obs)),y(~isnan(obs)),obs(~isnan(obs)),double(lon),double(lat),'nearest');
obs_regrid(isnan(obs_regrid))=tmp(isnan(obs_regrid));
obs_regrid(mask<1)=NaN;

bbb=nanmean(chl_omip2(:,:,:),3);
bbb(mask<1)=NaN;
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .1 .7 .45])
set(axes,'position',[.02 .23 .23 .6])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',0);
m_contourf(lon,lat,obs_regrid,0:15:300,'linestyle','none');
m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
m_grid('tickdir','out','linewidth',.5,'fontsize',20,'linestyle','none','xtick',-180:60:180,'ytick',70:20:90,'yticklabel',' ','xticklabel',' ')
h=colorbar('southoutside');
caxis([0 300])
colormap(othercolor(293,20))
c=colormap;
clear cc
for i=1:20
    cc(i,1:3)=c(21-i,1:3);
end
colormap(cc)
set(h,'fontsize',20,'ytick',0:30:300,'tickdir','out')
set(h,'position',[.05 .13 .6 .03])
cbarrow('right')
title('(a) PHC3.0 climatology','fontsize',20)

set(axes,'position',[.25 .23 .23 .6])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',0);
m_contourf(lon,lat,aaa,0:15:300,'linestyle','none');
m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
m_grid('tickdir','out','linewidth',.5,'fontsize',20,'linestyle','none','xtick',-180:60:180,'ytick',70:20:90,'yticklabel',' ','xticklabel',' ')
h=colorbar('southoutside');
caxis([0 300])
colormap(othercolor(293,20))
c=colormap;
clear cc
for i=1:20
    cc(i,1:3)=c(21-i,1:3);
end
colormap(cc)
set(h,'fontsize',20,'ytick',0:30:300,'tickdir','out')
set(h,'position',[.05 .13 .6 .03])
cbarrow('right')
title('(b) OMIP-1 climatology','fontsize',20)

set(axes,'position',[.48 .23 .23 .6])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',0);
m_contourf(lon,lat,bbb,0:15:300,'linestyle','none');
m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
m_grid('tickdir','out','linewidth',.5,'fontsize',20,'linestyle','none','xtick',-180:60:180,'ytick',70:20:90,'yticklabel',' ','xticklabel',' ')
h=colorbar('southoutside');
caxis([0 300])
colormap(othercolor(293,20))
c=colormap;
clear cc
for i=1:20
    cc(i,1:3)=c(21-i,1:3);
end
colormap(cc)
colormap(othercolor(184))
set(h,'fontsize',20,'ytick',0:30:300,'tickdir','out')
set(h,'position',[.05 .13 .6 .03])
m_text(31,60,'[m]','fontsize',20)
cbarrow('right')
title('(c) OMIP-2 climatology','fontsize',20)

set(axes,'position',[.71 .23 .23 .6])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',0);
diff(diff<-50)=-50;
diff(diff>50)=50;
m_contourf(lon(1:2:length(lon(:,1)),1:2:length(lon(1,:))),lat(1:2:length(lon(:,1)),1:2:length(lon(1,:))),diff,-50:5:50,'linestyle','none');
hold on
xxx=lon(1:2:length(lon(:,1)),1:2:length(lon(1,:)));
yyy=lat(1:2:length(lon(:,1)),1:2:length(lon(1,:)));
for i=1:2:224
    for j=1:2:152
        if(mask1(i,j)>0)
            m_plot(xxx(i,j),yyy(i,j),'k.','markersize',5)
        end
    end
end
m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
m_grid('tickdir','out','linewidth',.5,'fontsize',14,'linestyle','none','xtick',-180:60:180,'ytick',70:20:90,'yticklabel',' ','yticklabel',' ','xticklabel',' ')

caxis([-50 50])
h=colorbar('southoutside');
colormap(othercolor(293,20))
c=colormap;
clear cc 
for i=1:20
    cc(i,1:3)=c(21-i,1:3);
end
cc(10,:)=[1 1 1];
cc(11,:)=[1 1 1];
colormap(cc)
colormap(othercolor(184))
set(h,'fontsize',20,'ytick',-50:20:50,'tickdir','out')
set(h,'position',[.73 .13 .2 .03])
cbarrow
title('(d) OMIP-2 anomaly','fontsize',20)