clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
files = {'AWI-CM-1-1-LR';'CAS-ESM2-0';'CESM2';'CMCC-CM2-SR5';          ...
         'CMCC-ESM2';'CanESM5-CanOE';'CanESM5';'EC-Earth3';            ...
         'FGOALS-f3-L';'FIO-ESM-2-0';'GFDL-CM4';'GFDL-OM4p5B';'IPSL-CM6A-LR';'MIROC-ES2L';      ...
         'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    load(['chl_regrid_' files{i}]);
    model = files{i};
    files{i}
    all(1:224,1:152,1:12,1:30,i) = chl_regrid(1:2:end,1:2:end,1:12,24:53); %1971-2000
end
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .05 .9 .8])
n=1;
for k=1:length(files(:,1))
    %
    chl = nanmean(nanmean(all(:,:,:,:,k),4),3);
    load('g:\cmip6_omip1\grid/mask')
    tmp=mask(1:2:end,1:2:end);
    chl(tmp<1)=NaN;
    subplot(3,6,n+1)
    m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',0);
    chl(chl>300)=300;
    m_contourf(lon(1:2:end,1:2:end),lat(1:2:end,1:2:end),chl,0:15:300,'linestyle','none');
    shading flat

    m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
    m_grid('tickdir','out','linewidth',.5,'fontsize',16,'linestyle','none','xtick',-120:60:120,'xticklabel',' ','ytick',70:20:90,'yticklabel',' ','xminortick','on','yminortick','on')

    caxis([0 300])
    title(files{k},'fontsize',16)
    n=n+1;
end
%
load('phc3','longitude','latitude','chl');
x=longitude;
y=latitude;
% obs=(nansum(chl(:,:,1:3),3) + nansum(chl(:,:,10:12),3))/6;
obs=nanmean(chl,3);
obs_regrid=griddata(x,y,obs,double(lon),double(lat));
clear tmp
tmp=griddata(x(~isnan(obs)),y(~isnan(obs)),obs(~isnan(obs)),double(lon),double(lat),'nearest');
obs_regrid(isnan(obs_regrid))=tmp(isnan(obs_regrid));
obs_regrid(mask<1)=NaN;

axes('position',[.07 .713 .222 .222])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',0);
m_contourf(lon,lat,obs_regrid,0:15:300,'linestyle','none');
shading flat

m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
m_grid('tickdir','out','linewidth',.5,'fontsize',16,'linestyle','none','xtick',-120:60:120,'xticklabel',' ','ytick',70:20:90,'yticklabel',' ','xminortick','on','yminortick','on')

caxis([0 300])
h=colorbar('eastoutside');
colormap(othercolor(293,20))
c=colormap;
clear cc 
for i=1:20
    cc(i,1:3)=c(21-i,1:3);
end
set(h,'fontsize',16,'ytick',0:30:300,'tickdir','out')
set(h,'position',[.93 .16 .008 .7])
colormap(othercolor(184))
cbarrow('up')
title('PHC3.0','fontsize',16)


