clc
clear
close all
%%
longitude = ncread('../get_400m_ts/phc3.0_monthly.nc','lon');
latitude = ncread('../get_400m_ts/phc3.0_monthly.nc','lat');
z = ncread('../get_400m_ts/phc3.0_monthly.nc','depth');
to_raw = ncread('../get_400m_ts/phc3.0_monthly.nc','temp');
so_raw = ncread('../get_400m_ts/phc3.0_monthly.nc','salt');
[longitude,latitude] = meshgrid(longitude,latitude);
longitude = longitude';
latitude = latitude';
%%
chl(1:length(longitude(:,1)),1:length(longitude(1,:)),1:12) = NaN;
for mm=1:12
    mm
    to = to_raw(:,:,:,mm);
    so = so_raw(:,:,:,mm);
    for ii=1:length(longitude(:,1))
        for jj=1:length(longitude(1,:))
            for kk=1:length(z)
                if(~isnan(so(ii,jj,kk)) && latitude(ii,jj)>60)
                    alpha(ii,jj,kk) = sw_alpha(so(ii,jj,kk), to(ii,jj,kk),z(kk), 'ptmp');
                    beta(ii,jj,kk)  =  sw_beta(so(ii,jj,kk), to(ii,jj,kk),z(kk), 'ptmp');
                else
                    alpha(ii,jj,kk) = NaN;
                    beta(ii,jj,kk)  = NaN;
                end
            end
        end
    end
    
    clear aa bb cc dd
    aa = alpha(:,:,1:end-1) + alpha(:,:,2:end);
    bb =  beta(:,:,1:end-1) + beta(:,:,2:end);
    cc = to(:,:,1:end-1) - to(:,:,2:end);
    dd = so(:,:,1:end-1) - so(:,:,2:end);
    aaa = aa.*cc;
    bbb = bb.*dd;
    ccc = 1./bbb;
    r = aaa.*ccc;
    r(r<0)=NaN;
            
    [cc,dd]=nanmin(abs(z-600));
            
%     clear chl
    
    for ii=1:length(longitude(:,1))
        for jj=1:length(longitude(1,:))
            if(latitude(ii,jj)>60)
                [aa,bb]=nanmin(r(ii,jj,1:dd));
                rr = r(ii,jj,bb:dd);
                zz = z(bb:dd);
                for kk=length(rr)-1:-1:1
                    if(rr(kk)<0.05 && rr(kk+1)>=0.05)
                        chl(ii,jj,mm)=zz(kk)+(0.05-rr(kk))*(zz(kk+1)-zz(kk))/(rr(kk+1)-rr(kk));
                        break
                    end
                end
            end
        end
    end 
end
%%
save('phc3','longitude','latitude','chl')


