clc
clear
close all
addpath d:/001-tools/001-Matlab/mytoolbox/m_map/
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    load(['regrid_fwc_' files{i}]);
    files{i}
    fwc_omip1(1:448,1:304,i) = nanmean(fwc_annual(:,:,24:53),3);% 1971-2000
end
%%
for i=1:length(files(:,1))
    load(['../../cmip6_omip2/get_fwc/regrid_fwc_' files{i}]);
    files{i}
    fwc_omip2(1:448,1:304,i) = nanmean(fwc_annual(:,:,14:43),3);% 1971-2000
end
%%
x = ncread('../get_400m_ts/phc3.0_monthly.nc','lon');
y = ncread('../get_400m_ts/phc3.0_monthly.nc','lat');
z = ncread('../get_400m_ts/phc3.0_monthly.nc','depth');
obs_s_raw = ncread('../get_400m_ts/phc3.0_monthly.nc','salt');
[x,y]=meshgrid(x,y);x=x';y=y';

xx(2:361,1:180)=x(1:360,1:180);
xx(1,1:180)=-0.5;
xx(362,1:180)=360.5;
yy(2:361,1:180)=y(1:360,1:180);
yy(1,1:180)=y(1,1:180);
yy(362,1:180)=y(360,1:180);

tmp_s = nanmean(obs_s_raw(:,:,:,:),4);
obs_s_raw_1(2:361,1:180,1:24) = tmp_s(1:360,1:180,:);

obs_s_raw_1(1,1:180,1:24) = (tmp_s(1,1:180,1:24) + tmp_s(360,1:180,1:24))/2;
obs_s_raw_1(362,1:180,1:24) = (tmp_s(1,1:180,1:24) + tmp_s(360,1:180,1:24))/2;

xx(1:362,181) = xx(1:362,180);
yy(1:362,181) = 90;
obs_s_raw_1(1:362,181,1:24) = obs_s_raw_1(1:362,180,1:24);
tmp = (34.8 - obs_s_raw_1)/34.8;
tmp(tmp<0) = NaN;
for i=1:23
    lev_phc(1:362,1:181) = z(i+1)-z(i);
    tmp(:,:,i) = tmp(:,:,i).*lev_phc;
end
fwc_phc = nansum(tmp(:,:,1:23),3);
xx(xx<0)=xx(xx<0)+360.;
fwc_obs = griddata(xx,yy,fwc_phc,double(lon),double(lat));
tmp = griddata(xx,yy,fwc_phc,double(lon),double(lat),'nearest');
fwc_obs(isnan(fwc_obs)) = tmp(isnan(fwc_obs));
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .1 .7 .5])
set(axes,'position',[.05 .23 .3 .6])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_contourf(lon,lat,fwc_obs,0:1:24,'linestyle','none'); 
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',20,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([0 24])
title({'(a) PHC3.0'},'fontsize',20)

save('phc_fwc','lon','lat','fwc_obs')
set(axes,'position',[.35 .23 .3 .6])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_contourf(lon,lat,nanmean(fwc_omip1,3),0:1:24,'linestyle','none'); 
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',20,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([0 24])
title({'(b) OMIP-1'},'fontsize',20)

set(axes,'position',[.65 .23 .3 .6])
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_contourf(lon,lat,nanmean(fwc_omip2,3),0:1:24,'linestyle','none');  
shading flat
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',20,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([0 24])
h=colorbar('southoutside');
% colormap(othercolor('RdYlBu11',30))
% clear c cc
% c=colormap;
% for i=1:30
%     cc(i,1:3)=c(31-i,1:3);
% end
colormap('jet')
clear c cc
c=colormap;
cc=c(1:64/24:end,1:3);
colormap(othercolor(184,12))
set(h,'position',[.08 .15 .8 .03],'fontsize',20,'ytick',0:2:24,'tickdir','out','linewidth',.5)
title({'(c) OMIP-2'},'fontsize',20)
m_text(29,62.5,'[m]','fontsize',20)
cbarrow('right')