clc
clear
close all
addpath d:/001-tools/001-Matlab/mytoolbox/m_map/
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
load('fwc','t','fwc_annual')
fwc1=fwc_annual;t1=t;
load('../../cmip6_omip2/get_fwc/fwc')
fwc2=fwc_annual;t2=t;
%%
fwc1_mean = nanmean(fwc1,2);
fwc2_mean = nanmean(fwc2,2);
fwc1_std = nanstd(fwc1,1,2);
fwc2_std = nanstd(fwc2,1,2);

mean(fwc1_mean(24:53))
mean(fwc2_mean(14:43))
%%
figure(1)
set(gcf,'unit','normalized','position',[.1 .1 .3 .6])
set(axes,'position',[.14 .6 .8 .35])
plot(t1,fwc1_mean,'-r','linewidth',3)
hold on
plot(t2,fwc2_mean,'-b','linewidth',3)
hh1=area(t1,[fwc1_mean - fwc1_std,2*fwc1_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh1(1),'Visible','off','linestyle','none');
set(hh1(2),'EdgeColor','white','FaceColor',[1 0 0],'linestyle','none');

hh2=area(t2,[fwc2_mean - fwc2_std,2*fwc2_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh2(1),'Visible','off','linestyle','none');
set(hh2(2),'EdgeColor',[0.7,0.7,1],'FaceColor',[0.4, 0.4, 1],'linestyle','none');
set(gca,'fontsize',16,'tickdir','out','xminortick','off','xlim',[1946 2010],'yminortick','on','ytick',0:20:120)
xlabel('Year','fontsize',16)
ylabel('[10^3 km^3]','fontsize',16)
title('(a) Arctic Basin liquid FWC','fontsize',16)
grid on
axis([1946 2020 20 100])
h=legend('OMIP-1','OMIP-2');
set(h,'location','southeast')

%%
for i=1:length(fwc1(1,:))
    fwc1_anomaly(1:62,i)=fwc1(:,i)-mean(fwc1(45:62,i)); %1992-2009
end
for i=1:length(fwc2(2,:))
    fwc2_anomaly(1:61,i)=fwc2(:,i)-mean(fwc2(35:52,i)); %1992-2009
end

fwc1_mean = nanmean(fwc1_anomaly,2);
fwc2_mean = nanmean(fwc2_anomaly,2);
fwc1_std = nanstd(fwc1_anomaly,1,2);
fwc2_std = nanstd(fwc2_anomaly,1,2);
%%
set(axes,'position',[.14 .1 .8 .35])
plot(t1,fwc1_mean,'-r','linewidth',3)
hold on
plot(t2,fwc2_mean,'-b','linewidth',3)

load('Qiang\fwc_forQiang_amerasian_eurasian_basins_error.mat')
load('Qiang\fwc_forQiang_amerasian_eurasian_basins.mat')
aux=hfwtsamall/1e3;
aux=aux-mean(aux(1:17));
err_AB=mean(reshape(hfwerrtsamerasian,12,23))/1e3;
err_EB=mean(reshape(hfwerrtseurasian,12,23))/1e3;
err_Arc=sqrt(err_AB.^2 + err_EB.^2);
h(2)=errorbar(1992:2014, aux,err_Arc,'o','color','k','MarkerFaceColor','k','markersize',5);
h(2).Color(4)=0.6;

hh1=area(t1,[fwc1_mean - fwc1_std,2*fwc1_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh1(1),'Visible','off','linestyle','none');
set(hh1(2),'EdgeColor','white','FaceColor',[1 0 0],'linestyle','none');

hh2=area(t2,[fwc2_mean - fwc2_std,2*fwc2_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh2(1),'Visible','off','linestyle','none');
set(hh2(2),'EdgeColor',[0.7,0.7,1],'FaceColor',[0.4, 0.4, 1],'linestyle','none');
set(gca,'fontsize',16,'tickdir','out','xminortick','off','xlim',[1946 2010],'yminortick','on','ytick',-20:4:20)
xlabel('Year','fontsize',16)
ylabel('[10^3 km^3]','fontsize',16)
title('(b) Arctic Basin liquid FWC anomaly','fontsize',16)
grid on

load('Qiang\fwc_forQiang_amerasian_eurasian_basins_error.mat')
load('Qiang\fwc_forQiang_amerasian_eurasian_basins.mat')
aux=hfwtsamall/1e3;
aux=aux-mean(aux(1:17));
err_AB=mean(reshape(hfwerrtsamerasian,12,23))/1e3;
err_EB=mean(reshape(hfwerrtseurasian,12,23))/1e3;
err_Arc=sqrt(err_AB.^2 + err_EB.^2);
h(2)=errorbar(1992:2014, aux,err_Arc,'o','color','k','MarkerFaceColor','k','markersize',5);
h(2).Color(4)=0.6;


axis([1946 2020 -12 12])
h=legend('OMIP-1','OMIP-2','Rabe et al.,2014');
set(h,'location','southwest')