clc
clear
close all
addpath D:\001-tools\001-Matlab\mytoolbox\m_map1.4\m_map
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
files1 = {'AWI-CM-1-1-LR';'CAS-ESM2-0';'CESM2';'CMCC-CM2-SR5';          ...
         'CMCC-ESM2';'CanESM5-CanOE';'CanESM5';'EC-Earth3';            ...
         'FGOALS-f3-L';'FIO-ESM-2-0';'GFDL-CM4';'GFDL-OM4p5B';'IPSL-CM6A-LR';'MIROC-ES2L';      ...
         'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files1(:,1))
    load(['regrid_fwc_' files1{i}]);
    files1{i}
    fwc_omip1(1:448,1:304,i) = nanmean(fwc_annual(:,:,24:53),3); %1971-2000
end
%
files2 = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-HR4';'CMCC-CM2-SR5';'CNRM-CM6-1';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files2(:,1))
    load(['../../cmip6_omip2/get_fwc/regrid_fwc_' files2{i}]);
    files2{i}
    fwc_omip2(1:448,1:304,i) = nanmean(fwc_annual(:,:,14:43),3);%1971-2000
end
%%
x = ncread('../get_400m_ts/phc3.0_monthly.nc','lon');
y = ncread('../get_400m_ts/phc3.0_monthly.nc','lat');
z = ncread('../get_400m_ts/phc3.0_monthly.nc','depth');
obs_s_raw = ncread('../get_400m_ts/phc3.0_monthly.nc','salt');
[x,y]=meshgrid(x,y);x=x';y=y';

xx(2:361,1:180)=x(1:360,1:180);
xx(1,1:180)=-0.5;
xx(362,1:180)=360.5;
yy(2:361,1:180)=y(1:360,1:180);
yy(1,1:180)=y(1,1:180);
yy(362,1:180)=y(360,1:180);

tmp_s = nanmean(obs_s_raw(:,:,:,:),4);
obs_s_raw_1(2:361,1:180,1:24) = tmp_s(1:360,1:180,:);

obs_s_raw_1(1,1:180,1:24) = (tmp_s(1,1:180,1:24) + tmp_s(360,1:180,1:24))/2;
obs_s_raw_1(362,1:180,1:24) = (tmp_s(1,1:180,1:24) + tmp_s(360,1:180,1:24))/2;

xx(1:362,181) = xx(1:362,180);
yy(1:362,181) = 90;
obs_s_raw_1(1:362,181,1:24) = obs_s_raw_1(1:362,180,1:24);
tmp = (34.8 - obs_s_raw_1)/34.8;
tmp(tmp<0) = NaN;
for i=1:23
    lev_phc(1:362,1:181) = z(i+1)-z(i);
    tmp(:,:,i) = tmp(:,:,i).*lev_phc;
end
fwc_phc = nansum(tmp(:,:,1:23),3);
% fwc_phc(fwc_phc==0)=NaN;
xx(xx<0)=xx(xx<0)+360.;
fwc_obs = griddata(xx,yy,fwc_phc,double(lon),double(lat));
tmp = griddata(xx,yy,fwc_phc,double(lon),double(lat),'nearest');
fwc_obs(isnan(fwc_obs)) = tmp(isnan(fwc_obs));
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .05 .9 .8])
subplot(3,6,1)
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_contourf(lon,lat,fwc_obs,0:1:25,'linestyle','none'); 
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',14,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([0 25])
title({'PHC3.0'},'fontsize',16)

for i=1:length(files1(:,1))
    if (i==length(files1(:,1)))
        files1{i}
        axes('position',[.805 .11 .105 .215])
    else
        subplot(3,6,i+1)
    end
    m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
    m_contourf(lon,lat,fwc_omip1(:,:,i),0:1:25,'linestyle','none'); 
    shading flat
    m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',14,'yticklabel','','xticklabel','');
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    caxis([0 25])
    title(files1{i},'fontsize',16)
end
h=colorbar('eastoutside');
colormap('jet')
clear c cc
c=colormap;
cc=c(1:64/25:end,1:3);
colormap(othercolor(184,10))
set(h,'position',[.93 .16 .008 .7],'fontsize',14,'ytick',0:2.5:25,'tickdir','out','linewidth',.5)
cbarrow('up')
%%
figure(2)
set(gcf,'unit','normalized','position',[.05 .05 .8 .8])
subplot(3,5,1)
m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
m_contourf(lon,lat,fwc_obs,0:1:25,'linestyle','none'); 
m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',14,'yticklabel','','xticklabel','');
m_coast('patch',[.7 .7 .7],'edgecolor','k');
caxis([0 25])
title({'PHC3.0'},'fontsize',16)

for i=1:length(files2(:,1))
    if (i==length(files2(:,1)))
        files2{i}
        axes('position',[.132 .11 .12 .22])
    else
        subplot(3,5,i+1)
    end
    m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
    m_contourf(lon,lat,fwc_omip2(:,:,i),0:1:25,'linestyle','none'); 
    shading flat
    m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','fontsize',14,'yticklabel','','xticklabel','');
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    caxis([0 25])
    title(files2{i},'fontsize',16)
end
h=colorbar('southoutside');
colormap('jet')
clear c cc
c=colormap;
cc=c(1:64/25:end,1:3);
colormap(othercolor(184,10))
set(h,'position',[.3 .21 .55 .015],'fontsize',16,'ytick',0:2.5:25,'tickdir','out','linewidth',.5)
cbarrow('right')
set(get(h,'title'),'string','Liquid freshwater content [m]')
