clc
clear
close all
addpath d:/001-tools/001-Matlab/mytoolbox/m_map/
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
files = ls('../so_combine/*.nc');
for i=1:length(files(:,1))
    so_file = strtrim(files(i,:));
    to_file = ['thetao' so_file(3:end)];
    
    for ii=1:length(to_file)-4
        if(to_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=to_file(13:ee)
        end
    end
    
    ginfo=ncinfo(['..\thetao_combine\' to_file]);   
    aa=ginfo.Variables;
    ncid=netcdf.open(['..\thetao_combine\' to_file],'nowrite');
        for ii=0:length(aa)-1
            var=netcdf.inqVar(ncid,ii);
            if(length(var)==3)
                if(var=='lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
                if(var=='lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==8)
                if(var=='latitude')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==9)
                if(var=='longitude')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end

            if(length(var)==7)
                if(var=='nav_lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==7)
                if(var=='nav_lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
        end
    netcdf.close(ncid);
    
    if(length(longitude(:,1))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end
    if(length(longitude(1,:))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end
      
    time = ncread(['../thetao_combine/' to_file],'time');
    istart = length(time)-62*12+1;
    iend = length(time);
    
    if(length(model) == 12)
        if(model == 'IPSL-CM6A-LR')
            lev_bnds = ncread(['../thetao_combine/' to_file], 'olevel_bounds');
        else
            lev_bnds = ncread(['../thetao_combine/' to_file], 'lev_bnds');
        end
    else
        lev_bnds = ncread(['../thetao_combine/' to_file], 'lev_bnds');
    end
    clear km n
    km = length(lev_bnds(1,:));
    
    if(length(model) == 10)
        if(model == 'MIROC-ES2L')
            uo = ncread(['../uo_combine/uo' to_file(7:end)], 'uo',[1 1 1 1],[Inf Inf Inf 1]);
            uo(uo==0)=NaN;
        end
    end
    
    n = 1948;
    
    mkdir( model )
    for ii = istart:12:iend
        so = ncread(['../so_combine/' so_file], 'so', [1 1 1 ii], [Inf Inf Inf 12]);
        clear so_annual tmp; so_annual = nanmean(so,4); clear so
        
        if(length(model) == 10)
            if(model == 'MIROC-ES2L')
                so_annual(isnan(uo))=NaN;
            end
        end
    
        tmp = (34.8 - so_annual)/34.8;
        tmp( tmp < 0) = 0;
        for k =1:km
            tmp(:,:,k) = tmp(:,:,k)*(lev_bnds(2,k)-lev_bnds(1,k));
        end
        clear fwc mask
        fwc = nansum(tmp,3);
        mask = tmp(:,:,1);
        fwc(isnan(mask))=NaN;
        save([model '/' num2str(n)], 'longitude', 'latitude', 'fwc');
        n = n + 1;
    end
    
    close all
    figure(1)
    m_proj('stereographic','latitude',90,'radius',30.1,'rotangle',30);
    m_contourf(longitude,latitude,fwc,0:2.5:25,'linestyle','none');
    m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','');
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    caxis([0 25])
    colormap('jet');
    c=colormap;
    cc=c(1:64/10:end,:);
    colormap(cc);
    colorbar
    title(model);
    saveas(1,[model '.bmp'])
end




