clc
clear
close all
addpath d:/001-tools/001-Matlab/mytoolbox/m_map/
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    load(['mld_regrid_' files{i}]);
    files{i}
    tmp = nanmean(mld_regrid(:,:,:,32:62),4);% 1979-2009
    cold = ( sum(tmp(:,:,11:12),3) + sum(tmp(:,:,1:5),3) )/7;
    mld_omip1(1:448,1:304,i) = cold;
end
%%
for i=1:length(files(:,1))
    load(['g:\cmip6_omip2\get_mld\mld_regrid_' files{i}]);
     files{i}
    tmp = nanmean(mld_regrid(:,:,:,22:52),4);% 1979-2009
    cold = ( sum(tmp(:,:,11:12),3) + sum(tmp(:,:,1:5),3) )/7;
    mld_omip2(1:448,1:304,i) = cold;
end
%%
close all
figure(2)
set(gcf,'unit','normalized','position',[.1 .1 .6 .5])
axes('position',[.02 .25 .4 .6])
m_proj('stereographic','latitude',90,'radius',22.1,'rotangle',0);
m_contourf(lon,lat,nanmean(mld_omip1(:,:,:),3),0:5:100,'linestyle','none');
hold on
m_plot(223,71,'o','markersize',12,'MarkerEdgeColor','r','MarkerFaceColor',[70,129,201]/255) % Southern Beaufort Sea
m_plot(210,73.5,'o','markersize',12,'MarkerEdgeColor','m','MarkerFaceColor',[79,150,187]/255) % Canada Basin
m_plot(195,72,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[79,150,187]/255) % Chukchi Sea
m_plot(223,87,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[141,188,104]/255) % Makarov Basin
m_plot(060,86,'o','markersize',12,'MarkerEdgeColor','b','MarkerFaceColor',[217,174,62]/255) % Eurasian Basin
m_plot(035,73,'o','markersize',12,'MarkerEdgeColor','y','MarkerFaceColor',[219,33,34]/255) % Barents Sea
m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
m_grid('tickdir','out','linewidth',.5,'fontsize',16,'linestyle','none','xtick',-180:60:180,'ytick',70:20:90,'yticklabel',' ','xminortick','on','yminortick','on')
h=colorbar('southoutside');
caxis([0 100])
colormap(othercolor(293,20))
c=colormap;
clear cc
for i=1:20
    cc(i,1:3)=c(21-i,1:3);
end
colormap(cc)
set(h,'fontsize',16,'ytick',0:10:100,'tickdir','out')
set(h,'position',[.11 0.15 .55 .025])
% h.Label.String = 'm';
cbarrow('right')
title({'(a) OMIP-1';''},'fontsize',16)

axes('position',[.31 .25 .4 .6])
m_proj('stereographic','latitude',90,'radius',22.1,'rotangle',0);
m_contourf(lon,lat,nanmean(mld_omip2(:,:,:),3),0:5:100,'linestyle','none');
hold on
m_plot(223,71,'o','markersize',12,'MarkerEdgeColor','r','MarkerFaceColor',[70,129,201]/255) % Southern Beaufort Sea
m_plot(210,73.5,'o','markersize',12,'MarkerEdgeColor','m','MarkerFaceColor',[79,150,187]/255) % Canada Basin
m_plot(195,72,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[79,150,187]/255) % Chukchi Sea
m_plot(223,87,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[141,188,104]/255) % Makarov Basin
m_plot(060,86,'o','markersize',12,'MarkerEdgeColor','b','MarkerFaceColor',[217,174,62]/255) % Eurasian Basin
m_plot(035,73,'o','markersize',12,'MarkerEdgeColor','y','MarkerFaceColor',[219,33,34]/255) % Barents Sea
m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
m_grid('tickdir','out','linewidth',.5,'fontsize',16,'linestyle','none','xtick',-180:60:180,'ytick',70:20:90,'yticklabel',' ','xminortick','on','yminortick','on')
h=colorbar('southoutside');
caxis([0 100])
colormap(othercolor(293,20))
c=colormap;
clear cc
for i=1:20
    cc(i,1:3)=c(21-i,1:3);
end
colormap(cc)
set(h,'fontsize',16,'ytick',0:10:100,'tickdir','out')
set(h,'position',[.11 0.15 .55 .025])
% h.Label.String = 'm';
colormap(othercolor(184,20))
cbarrow('right')
title({'(b) OMIP-2';''},'fontsize',16)
 
axes('position',[.62 .12 .2 .8])
plot(0.1,.9,'o','markersize',12,'MarkerEdgeColor','r','MarkerFaceColor',[70,129,201]/255) % Southern Beaufort Sea
hold on
text(0.4,.9,'Southern Beaufort Sea (29.0 m)','fontsize',16)
plot(0.1,.8,'o','markersize',12,'MarkerEdgeColor','m','MarkerFaceColor',[79,150,187]/255) % Canada Basin
text(0.4,.8,'Canada Basin (33.1 m)','fontsize',16)
plot(0.1,.7,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[79,150,187]/255) % Chukchi Sea
text(0.4,.7,'Chukchi Sea (34.6 m)','fontsize',16)
plot(0.1,.6,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[141,188,104]/255) % Makarov Basin
text(0.4,.6,'Makarov Basin (52.0 m)','fontsize',16)
plot(0.1,.5,'o','markersize',12,'MarkerEdgeColor','b','MarkerFaceColor',[217,174,62]/255) % Eurasian Basin
text(0.4,.5,'Eurasian Basin (72.5 m)','fontsize',16)
plot(0.1,.4,'o','markersize',12,'MarkerEdgeColor','y','MarkerFaceColor',[219,33,34]/255) % Barents Sea
text(0.4,.4,'Barents Sea (168 m)','fontsize',16)

text(0.1,1,'Observations during 1979-2012','fontsize',16)
axis([-1 2 .2 1.1])
axis off


