clc
clear
close all
addpath d:/001-tools/001-Matlab/mytoolbox/m_map/
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
files = {'AWI-CM-1-1-LR';'CAS-ESM2-0';'CESM2';'CMCC-CM2-SR5';          ...
         'CMCC-ESM2';'CanESM5-CanOE';'CanESM5';'EC-Earth3';            ...
         'FGOALS-f3-L';'FIO-ESM-2-0';'GFDL-CM4';'GFDL-OM4p5B';'IPSL-CM6A-LR';'MIROC-ES2L';      ...
         'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    load(['mld_regrid_' files{i}]);
    files{i}
    model=files{i};
    if(model(1:4)=='GFDL')
        tmp = nanmean(mld_regrid(:,:,:,32:60),4);% 1979-2009
    else
        tmp = nanmean(mld_regrid(:,:,:,32:62),4);% 1979-2009
    end
    
    cold = ( sum(tmp(:,:,11:12),3) + sum(tmp(:,:,1:5),3) )/7;
   
    mld_omip1(1:448,1:304,i) = cold;
    if(length(strtrim(files(i,:))) == 10)
        if(files{i} == 'CAS-ESM2-0')
            loc = find(~isnan(cold));
            mld_omip1(1:448,1:304,i) = griddata(double(lon(loc)),double(lat(loc)),cold(loc),double(lon),double(lat),'nearest');
        end
    end
    
    if(length(strtrim(files(i,:))) == 9)
        if(files{i} == 'CMCC-ESM2')
            loc = find(~isnan(cold));
            mld_omip1(1:448,1:304,i) = griddata(double(lon(loc)),double(lat(loc)),cold(loc),double(lon),double(lat),'nearest');
        end
    end
end
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .2 .8 .7])
for i=1:length(files(:,1))
    if (i==length(files(:,1)))
        files{i}
        axes('position',[.655 .115 .129 .232])
    else
        subplot(3,6,i)
    end
    m_proj('stereographic','latitude',90,'radius',22.1,'rotangle',0);
    m_contourf(lon,lat,mld_omip1(:,:,i),0:5:100,'linestyle','none');
    hold on
    m_plot(223,71,'o','markersize',12,'MarkerEdgeColor','r','MarkerFaceColor',[70,129,201]/255) % Southern Beaufort Sea
    m_plot(210,73.5,'o','markersize',12,'MarkerEdgeColor','m','MarkerFaceColor',[79,150,187]/255) % Canada Basin
    m_plot(195,72,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[79,150,187]/255) % Chukchi Sea
    m_plot(223,87,'o','markersize',12,'MarkerEdgeColor','k','MarkerFaceColor',[141,188,104]/255) % Makarov Basin
    m_plot(060,86,'o','markersize',12,'MarkerEdgeColor','b','MarkerFaceColor',[217,174,62]/255) % Eurasian Basin
    m_plot(035,73,'o','markersize',12,'MarkerEdgeColor','y','MarkerFaceColor',[219,33,34]/255) % Barents Sea
    m_coast('patch',[.5 .5 .5],'edgecolor',[.5 .5 .5]);
    m_grid('tickdir','out','linewidth',.5,'fontsize',14,'linestyle','none','xtick',-180:60:180,'xticklabel','','ytick',70:20:90,'yticklabel','','xminortick','on','yminortick','on')

    caxis([0 100])
    colormap(othercolor(293,20))
    c=colormap;
    clear cc
    for ii=1:20
        cc(ii,1:3)=c(21-ii,1:3);
    end
    colormap(othercolor(184,20))
    if(i==length(files(:,1)))
        h=colorbar('southoutside');    
        set(h,'fontsize',14,'ytick',0:5:100,'tickdir','out')
        set(h,'position',[.15 0.06 .7 .015])
        cbarrow('right')
    end
    title(files{i},'fontsize',14)
end
colormap(othercolor(184,20))

