clc
clear
close all
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .1 .6 .8])
%%
files = {'AWI-CM-1-1-LR';'CAS-ESM2-0';'CESM2';'CMCC-CM2-SR5';          ...
         'CMCC-ESM2';'CanESM5-CanOE';'CanESM5';'EC-Earth3';            ...
         'FGOALS-f3-L';'FIO-ESM-2-0';'GFDL-CM4';'GFDL-OM4p5B';'IPSL-CM6A-LR';'MIROC-ES2L';      ...
         'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
z=10:10:5000;
for i=1:length(files(:,1))
    model=files{i};
    clear t_eb_tmp t_cb_tmp
    load([model '.mat'])
    t_eb_tmp = nanmean(t_eb(:,24:53),2); %1971:2000
    t_cb_tmp = nanmean(t_cb(:,24:53),2); %1971:2000
    t_eb_all(1:500,i) = interp1(lev,t_eb_tmp,z);
    t_cb_all(1:500,i) = interp1(lev,t_cb_tmp,z);
end
load('phc.mat');


z=z/1000;
set(axes,'position',[.1 .56 .27 .38])
plot(phc(:,1)/1000,phc(:,2),'k-','linewidth',2)
hold on
plot(z(1:400),nanmean(t_eb_all(1:400,:),2),'k-.','linewidth',1)
for i=1:7
    plot(z,t_eb_all(:,i),'linewidth',1)
end
for i=8:14
    plot(z,t_eb_all(:,i),'-.','linewidth',1)
end
for i=15:length(files(:,1))
    plot(z,t_eb_all(:,i),':','linewidth',1)
end

hold on
plot(phc(:,1)/1000,phc(:,2),'k-','linewidth',2)
plot(z(1:400),nanmean(t_eb_all(1:400,:),2),'k-.','linewidth',1)
view(90,90)
axis([0 4 -2 3])
set(gca,'fontsize',14,'tickdir','out','xminortick','on','ytick',-2:1:3)
xlabel('Depth [km]');%ylabel('Temperature [\circC]')
grid on
title('(a) Eurasian Basin (OMIP-1)')

set(axes,'position',[.47 .56 .27 .38])
plot(phc(:,1)/1000,phc(:,3),'k-','linewidth',2)
hold on
plot(z(1:400),nanmean(t_cb_all(1:400,:),2),'k-.','linewidth',1)
for i=1:7
    plot(z,t_cb_all(:,i),'linewidth',1)
end
for i=8:14
    plot(z,t_cb_all(:,i),'-.','linewidth',1)
end
for i=15:length(files(:,1))
    plot(z,t_cb_all(:,i),':','linewidth',1)
end
hold on
plot(phc(:,1)/1000,phc(:,3),'k-','linewidth',2)
plot(z(1:400),nanmean(t_cb_all(1:400,:),2),'k-.','linewidth',1)
view(90,90)
axis([0 4 -2 3])
set(gca,'fontsize',14,'tickdir','out','xminortick','on','ytick',-2:1:3)
xlabel('Depth [km]');%ylabel('Temperature [\circC]')
grid on
title('(b) Amerasian Basin (OMIP-1)')

set(axes,'position',[.76 .56 .2 .38])
aaa=0:.1:1; bbb(1:length(aaa))=1.05; plot(aaa,bbb,'k-','linewidth',2);text(1.2,bbb(1),'PHC3.0','fontsize',12)
hold on
aaa=0:.1:1; bbb(1:length(aaa))=1; plot(aaa,bbb,'k-.','linewidth',1);text(1.2,bbb(1),'OMIP1 MMM','fontsize',12)
for i=1:7
    model=files{i};
    aaa=0:.1:1; bbb(1:length(aaa))=1-0.05*i; plot(aaa,bbb,'linewidth',1);text(1.2,bbb(1),model,'fontsize',12)
end
for i=8:14
    model=files{i};
    aaa=0:.1:1; bbb(1:length(aaa))=1-0.05*i; plot(aaa,bbb,'-.','linewidth',1);text(1.2,bbb(1),model,'fontsize',12)
end
for i=15:length(files(:,1))
    model=files{i};
    aaa=0:.1:1; bbb(1:length(aaa))=1-0.05*i; plot(aaa,bbb,':','linewidth',1);text(1.2,bbb(1),model,'fontsize',12)
end
axis([0 5 0.1 1.1])
set(gca,'xtick',[],'ytick',[],'xcolor','w','ycolor','w')
%%
clear t_eb_all t_cb_all
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-HR4';'CMCC-CM2-SR5';'CNRM-CM6-1';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
z=10:10:5000;
for i=1:length(files(:,1))
    model=files{i};
    clear t_eb_tmp t_cb_tmp
    load(['g:\cmip6_omip2\get_ts_profiles\' model],'t_eb','t_cb','lev')
    t_eb_tmp = nanmean(t_eb(:,14:43),2); %1971:2000
    t_cb_tmp = nanmean(t_cb(:,14:43),2); %1971:2000
    t_eb_all(1:500,i) = interp1(lev,t_eb_tmp,z);
    t_cb_all(1:500,i) = interp1(lev,t_cb_tmp,z);
end
load('phc.mat');

z=z/1000;
set(axes,'position',[.1 .08 .27 .38])
plot(phc(:,1)/1000,phc(:,2),'k-','linewidth',2)
hold on
plot(z(1:400),nanmean(t_eb_all(1:400,:),2),'k-.','linewidth',1)
for i=1:7
    plot(z,t_eb_all(:,i),'linewidth',1)
end
for i=8:length(files(:,1))
    plot(z,t_eb_all(:,i),'-.','linewidth',1)
end
hold on
plot(phc(:,1)/1000,phc(:,2),'k-','linewidth',2)
plot(z(1:400),nanmean(t_eb_all(1:400,:),2),'k-.','linewidth',1)
view(90,90)
axis([0 4 -2 3])
set(gca,'fontsize',14,'tickdir','out','xminortick','on','ytick',-2:1:3)
xlabel('Depth [km]');ylabel('Temperature [\circC]')
grid on
title('(c) Eurasian Basin (OMIP-2)')

set(axes,'position',[.47 .08 .27 .38])
plot(phc(:,1)/1000,phc(:,3),'k-','linewidth',2)
hold on
plot(z(1:400),nanmean(t_cb_all(1:400,:),2),'k-.','linewidth',1)
for i=1:7
    plot(z,t_cb_all(:,i),'linewidth',1)
end
for i=8:length(files(:,1))
    plot(z,t_cb_all(:,i),'-.','linewidth',1)
end
hold on
plot(phc(:,1)/1000,phc(:,3),'k-','linewidth',2)
plot(z(1:400),nanmean(t_cb_all(1:400,:),2),'k-.','linewidth',1)
view(90,90)
axis([0 4 -2 3])
set(gca,'fontsize',14,'tickdir','out','xminortick','on','ytick',-2:1:3)
xlabel('Depth [km]');ylabel('Temperature [\circC]')
grid on
title('(d) Amerasian Basin (OMIP-2)')

set(axes,'position',[.76 .08 .2 .38])
aaa=0:.1:1; bbb(1:length(aaa))=1; plot(aaa,bbb,'k-','linewidth',2);text(1.2,bbb(1),'PHC3.0','fontsize',12)
hold on
aaa=0:.1:1; bbb(1:length(aaa))=0.95; plot(aaa,bbb,'k-.','linewidth',1);text(1.2,bbb(1),'OMIP2 MMM','fontsize',12)
for i=1:7
    model=files{i};
    aaa=0:.1:1; bbb(1:length(aaa))=0.95-0.05*i; plot(aaa,bbb,'linewidth',1);text(1.2,bbb(1),model,'fontsize',12)
end
for i=8:length(files(:,1))
    model=files{i};
    aaa=0:.1:1; bbb(1:length(aaa))=0.95-0.05*i; plot(aaa,bbb,'-.','linewidth',1);text(1.2,bbb(1),model,'fontsize',12)
end
axis([0 5 0.2 1.2])
set(gca,'xtick',[],'ytick',[],'xcolor','w','ycolor','w')