clc
clear
close all
%%
load('phc.mat');
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
z=10:10:5000;
for i=1:length(files(:,1))
    model=files{i};
    clear t_eb_tmp t_cb_tmp s_eb_tmp s_cb_tmp
    load([model '.mat'])
    t_eb_tmp = nanmean(t_eb(:,24:53),2); %1971:2000
    t_cb_tmp = nanmean(t_cb(:,24:53),2); %1971:2000
    t_eb_all(1:500,i) = interp1(lev,t_eb_tmp,z);
    t_cb_all(1:500,i) = interp1(lev,t_cb_tmp,z);
    
    s_eb_tmp = nanmean(s_eb(:,24:53),2); %1971:2000
    s_cb_tmp = nanmean(s_cb(:,24:53),2); %1971:2000
    s_eb_all(1:500,i) = interp1(lev,s_eb_tmp,z);
    s_cb_all(1:500,i) = interp1(lev,s_cb_tmp,z);
end
omip1_t_eb_men = nanmean(t_eb_all,2);
omip1_t_eb_std = nanstd(t_eb_all,1,2);
omip1_t_cb_men = nanmean(t_cb_all,2);
omip1_t_cb_std = nanstd(t_cb_all,1,2);
omip1_s_eb_men = nanmean(s_eb_all,2);
omip1_s_eb_std = nanstd(s_eb_all,1,2);
omip1_s_cb_men = nanmean(s_cb_all,2);
omip1_s_cb_std = nanstd(s_cb_all,1,2);


for i=1:length(files(:,1))
    model=files{i};
    clear t_eb_tmp t_cb_tmp s_eb_tmp s_cb_tmp
    load(['g:\cmip6_omip2\get_ts_profiles\' model])
    t_eb_tmp = nanmean(t_eb(:,14:43),2); %1971:2000
    t_cb_tmp = nanmean(t_cb(:,14:43),2); %1971:2000
    t_eb_all(1:500,i) = interp1(lev,t_eb_tmp,z);
    t_cb_all(1:500,i) = interp1(lev,t_cb_tmp,z);
    
    s_eb_tmp = nanmean(s_eb(:,14:43),2); %1971:2000
    s_cb_tmp = nanmean(s_cb(:,14:43),2); %1971:2000
    s_eb_all(1:500,i) = interp1(lev,s_eb_tmp,z);
    s_cb_all(1:500,i) = interp1(lev,s_cb_tmp,z);
end
omip2_t_eb_men = nanmean(t_eb_all,2);
omip2_t_eb_std = nanstd(t_eb_all,1,2);
omip2_t_cb_men = nanmean(t_cb_all,2);
omip2_t_cb_std = nanstd(t_cb_all,1,2);
omip2_s_eb_men = nanmean(s_eb_all,2);
omip2_s_eb_std = nanstd(s_eb_all,1,2);
omip2_s_cb_men = nanmean(s_cb_all,2);
omip2_s_cb_std = nanstd(s_cb_all,1,2);
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.2 .1 .4 .8])
subplot(2,2,1)

plot(phc(:,1)/1000,phc(:,2),'k-','linewidth',2)
hold on
plot(z/1000,omip1_t_eb_men,'r-','linewidth',2)
plot(z/1000,omip2_t_eb_men,'b-','linewidth',2)

hh1=area(z/1000,[omip1_t_eb_men - omip1_t_eb_std,2*omip1_t_eb_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh1(1),'Visible','off','linestyle','none');
set(hh1(2),'EdgeColor','white','FaceColor',[1 0 0],'linestyle','none');

hh2=area(z/1000,[omip2_t_eb_men - omip2_t_eb_std,2*omip2_t_eb_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh2(1),'Visible','off','linestyle','none');
set(hh2(2),'EdgeColor',[0.7,0.7,1],'FaceColor',[0.4, 0.4, 1],'linestyle','none');

h=legend('PHC3.0','OMIP-1','OMIP-2');
set(h,'location','southeast','fontsize',14,'box','off')
view(90,90)
axis([0 4 -2 3])
set(gca,'fontsize',14,'tickdir','out','xminortick','on','ytick',-2:1:3)
xlabel('Depth [km]');ylabel('Temperature [\circC]')
grid on
title('(a) Eurasian Basin')

subplot(2,2,2)
plot(phc(:,1)/1000,phc(:,3),'k-','linewidth',2)
hold on
plot(z/1000,omip1_t_cb_men,'r-','linewidth',2)
plot(z/1000,omip2_t_cb_men,'b-','linewidth',2)

hh1=area(z/1000,[omip1_t_cb_men - omip1_t_cb_std,2*omip1_t_cb_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh1(1),'Visible','off','linestyle','none');
set(hh1(2),'EdgeColor','white','FaceColor',[1 0 0],'linestyle','none');

hh2=area(z/1000,[omip2_t_cb_men - omip2_t_cb_std,2*omip2_t_cb_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh2(1),'Visible','off','linestyle','none');
set(hh2(2),'EdgeColor',[0.7,0.7,1],'FaceColor',[0.4, 0.4, 1],'linestyle','none');
h=legend('PHC3.0','OMIP-1','OMIP-2');
set(h,'location','southeast','fontsize',14,'box','off')
view(90,90)
axis([0 4 -2 3])
set(gca,'fontsize',14,'tickdir','out','xminortick','on','ytick',-2:1:3)
xlabel('Depth [km]');ylabel('Temperature [\circC]')
grid on
title('(b) Amerasian Basin')

subplot(2,2,3)
plot(phc(:,1),phc(:,4),'k-','linewidth',2)
hold on
plot(z,omip1_s_eb_men,'r-','linewidth',2)
plot(z,omip2_s_eb_men,'b-','linewidth',2)

hh1=area(z,[omip1_s_eb_men - omip1_s_eb_std,2*omip1_s_eb_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh1(1),'Visible','off','linestyle','none');
set(hh1(2),'EdgeColor','white','FaceColor',[1 0 0],'linestyle','none');

hh2=area(z,[omip2_s_eb_men - omip2_s_eb_std,2*omip2_s_eb_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh2(1),'Visible','off','linestyle','none');
set(hh2(2),'EdgeColor',[0.7,0.7,1],'FaceColor',[0.4, 0.4, 1],'linestyle','none');
h=legend('PHC3.0','OMIP-1','OMIP-2');
set(h,'location','southwest','fontsize',14,'box','off')
view(90,90)
axis([0 800 31 36])
set(gca,'fontsize',14,'tickdir','out','xtick',0:200:800,'xminortick','on','ytick',31:1:36)
xlabel('Depth [m]');ylabel('Salinity [psu]')
grid on
title('(c) Eurasian Basin')

subplot(2,2,4)
plot(phc(:,1),phc(:,5),'k-','linewidth',2)
hold on
plot(z,omip1_s_cb_men,'r-','linewidth',2)
plot(z,omip2_s_cb_men,'b-','linewidth',2)

hh1=area(z,[omip1_s_cb_men - omip1_s_cb_std,2*omip1_s_cb_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh1(1),'Visible','off','linestyle','none');
set(hh1(2),'EdgeColor','white','FaceColor',[1 0 0],'linestyle','none');

hh2=area(z,[omip2_s_cb_men - omip2_s_cb_std,2*omip2_s_cb_std],-100,'facealpha',0.2,'edgealpha',0);
set(hh2(1),'Visible','off','linestyle','none');
set(hh2(2),'EdgeColor',[0.7,0.7,1],'FaceColor',[0.4, 0.4, 1],'linestyle','none');
h=legend('PHC3.0','OMIP-1','OMIP-2');
set(h,'location','southwest','fontsize',14,'box','off')
view(90,90)
axis([0 800 30 36])
set(gca,'fontsize',14,'tickdir','out','xtick',0:200:800,'xminortick','on','ytick',30:2:36)
xlabel('Depth [m]');ylabel('Salinity [psu]')
grid on
title('(d) Amerasian Basin')


