clc
clear
close all
%%
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
z=10:10:5000;
for i=1:length(files(:,1))
    model=files{i};
    clear t_eb_tmp t_cb_tmp
    load([model '.mat'])
    t_eb_tmp = t_eb(:,1:62);
    t_cb_tmp = t_cb(:,1:62);
    for l=1:62
        t_eb_all(i,1:500,l) = interp1(lev,t_eb_tmp(:,l),z);
        t_cb_all(i,1:500,l) = interp1(lev,t_cb_tmp(:,l),z);
    end
end
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .1 .5 .65])
set(axes,'position',[.12 .6 .35 .36])
t=1948:2009;
[zz,tt]=meshgrid(z,t);
tmp = squeeze(nanmean(t_eb_all,1))';
tmp(tmp<-1.4)=-1.4;
contourf(tt,zz,tmp,-1.4 :.025:1,'linestyle','none')
caxis([-1.4  1])
set(gca,'ydir','reverse')
axis([1948 2020 0 1500])
set(gca,'fontsize',14,'tickdir','out','yminortick','on')
xlabel('Year')
ylabel('Depth [km]')
grid on
title('(a) Eurasian Basin (OMIP-1)')

set(axes,'position',[.52 .6 .35 .36])
t=1948:2009;
[zz,tt]=meshgrid(z,t);
tmp = squeeze(nanmean(t_cb_all,1))';
tmp(tmp<-1.4)=-1.4;
contourf(tt,zz,tmp,-1.4 :.025:1,'linestyle','none')
set(gca,'ydir','reverse')
axis([1948 2020 0 1500])
caxis([-1.4  1])
set(gca,'fontsize',14,'tickdir','out','yminortick','on','yticklabel','')
xlabel('Year')
% ylabel('Depth [km]')
grid on
title('(b) Amerasian Basin (OMIP-1)')
%%
clear t_eb_all t_cb_all t_eb t_cb
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-SR5';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
z=10:10:5000;
for i=1:length(files(:,1))
    model=files{i};
    clear t_eb_tmp t_cb_tmp
    load(['g:\cmip6_omip2\get_ts_profiles\' model],'t_eb','t_cb','lev')
    t_eb_tmp = t_eb(:,1:61);
    t_cb_tmp = t_cb(:,1:61);
    for l=1:61
        t_eb_all(i,1:500,l) = interp1(lev,t_eb_tmp(:,l),z);
        t_cb_all(i,1:500,l) = interp1(lev,t_cb_tmp(:,l),z);
    end
end
%%
set(axes,'position',[.12 .1 .35 .36])
t=1958:2018;
[zz,tt]=meshgrid(z,t);
tmp = squeeze(nanmean(t_eb_all,1))';
tmp(tmp<-1.4)=-1.4;
contourf(tt,zz,tmp,-1.4:.025:1,'linestyle','none')
caxis([-1.4  1])
set(gca,'ydir','reverse')
axis([1948 2020 0 1500])
set(gca,'fontsize',14,'tickdir','out','yminortick','on')
xlabel('Year')
ylabel('Depth [km]')
grid on
title('(c) Eurasian Basin (OMIP-2)')

set(axes,'position',[.52 .1 .35 .36])
t=1958:2018;
[zz,tt]=meshgrid(z,t);
tmp = squeeze(nanmean(t_cb_all,1))';
tmp(tmp<-1.4)=-1.4;
contourf(tt,zz,tmp,-1.4:.025:1,'linestyle','none')
set(gca,'ydir','reverse')
axis([1948 2020 0 1500])
caxis([-1 1])
h=colorbar;
colormap('jet')
clear c cc
c=colormap;
cc=c(1:64/48:end,1:3);
colormap(cc)
colormap(othercolor(184,20))
set(h,'position',[.9 .09 .015 .85],'fontsize',14,'ytick',-2:.2:1,'tickdir','out','linewidth',.5)
set(gca,'fontsize',14,'tickdir','out','yminortick','on','yticklabel','')
xlabel('Year')
% ylabel('Depth [km]')
grid on
title('(d) Amerasian Basin (OMIP-2)')
cbarrow

