clc
clear
close all
%%
files = {'AWI-CM-1-1-LR';'CAS-ESM2-0';'CESM2';'CMCC-CM2-SR5';          ...
         'CMCC-ESM2';'CanESM5-CanOE';'CanESM5';'EC-Earth3';            ...
         'FGOALS-f3-L';'FIO-ESM-2-0';'GFDL-CM4';'GFDL-OM4p5B';'IPSL-CM6A-LR';'MIROC-ES2L';      ...
         'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
z=10:10:5000;
for i=1:length(files(:,1))
    model=files{i};
    clear t_eb_tmp t_cb_tmp
    load([model '.mat'])
    if(length(t_eb(1,:))==60)
        t_eb(:,61:62)=NaN;
        t_cb(:,61:62)=NaN;
    end
    t_eb_tmp = t_eb(:,1:62);
    t_cb_tmp = t_cb(:,1:62);
    for l=1:62
        t_eb_all(i,1:500,l) = interp1(lev,t_eb_tmp(:,l),z);
        t_cb_all(i,1:500,l) = interp1(lev,t_cb_tmp(:,l),z);
    end
end
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .1 .9 .8])
set(axes,'position',[.1 .58 .35 .36])
t=1948:2009;
[zz,tt]=meshgrid(z/1000,t);
for i=1:length(files(:,1))
    model=files{i};
    subplot(3,6,i)
    tmp = squeeze(t_eb_all(i,:,:))';
    tmp(tmp<-1.6)=-1.6;
    contourf(tt,zz,tmp,-1.6 :.05:1.6,'linestyle','none')
    caxis([-1.6 1.6])
    set(gca,'ydir','reverse')
    axis([1948 2010 0 4])
    set(gca,'fontsize',14,'tickdir','out','yminortick','on','xtick',1950:20:2020,'ytick',0:1:4)
%     xlabel('Year')
    ylabel('Depth [km]')
    grid on
    title(model,'fontsize',14)
    h=colorbar;
    set(h,'position',[.92 .12 .01 .79],'fontsize',14,'ytick',-2:4:2,'tickdir','out','linewidth',.5)
    cbarrow
end
colormap('jet')
clear c cc
c=colormap;
cc=c(1:64/32:end,1:3);
colormap(othercolor(184,16))
set(h,'position',[.92 .12 .01 .79],'fontsize',14,'ytick',-2:.2:2,'tickdir','out','linewidth',.5)
cbarrow