clc
clear
close all
%%
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-HR4';'CMCC-CM2-SR5';'CNRM-CM6-1';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
z=10:10:5000;
for i=1:length(files(:,1))
    model=files{i};
    clear t_eb_tmp t_cb_tmp
    load(['g:\cmip6_omip2\get_ts_profiles\' model],'t_eb','t_cb','lev')
    t_eb_tmp = t_eb(:,1:61);
    t_cb_tmp = t_cb(:,1:61);
    for l=1:61
        t_eb_all(i,1:500,l) = interp1(lev,t_eb_tmp(:,l),z);
        t_cb_all(i,1:500,l) = interp1(lev,t_cb_tmp(:,l),z);
    end
end
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .1 .8 .55])
set(axes,'position',[.1 .58 .35 .36])
t=1958:2018;
[zz,tt]=meshgrid(z/1000,t);
for i=1:length(files(:,1))
    model=files{i};
    subplot(2,5,i)
    tmp = squeeze(t_eb_all(i,:,:))';
    tmp(tmp<-1.6)=-1.6;
    contourf(tt,zz,tmp,-1.6 :.05:1.6,'linestyle','none')
    caxis([-1.6 1.6])
    set(gca,'ydir','reverse')
    axis([1958 2020 0 4])
    set(gca,'fontsize',14,'tickdir','out','yminortick','on','xtick',1940:20:2020,'ytick',0:1:4)
%     xlabel('Year')
    ylabel('Depth [km]')
    grid on
    title(model,'fontsize',14)
    h=colorbar;
    set(h,'position',[.92 .12 .01 .79],'fontsize',14,'ytick',-2:4:2,'tickdir','out','linewidth',.5)
    cbarrow
end
colormap('jet')
clear c cc
c=colormap;
cc=c(1:64/32:end,1:3);
colormap(othercolor(184,16))
set(h,'position',[.92 .12 .01 .79],'fontsize',14,'ytick',-2:.2:2,'tickdir','out','linewidth',.5)
cbarrow