clc
clear
close all
addpath d:/001-tools/001-Matlab/mytoolbox/m_map/
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
load('mask_2p.mat');
x=lon;
y=lat;

longitude=ncread('phc3.0_annual_classic.nc','LON');
latitude=ncread('phc3.0_annual_classic.nc','LAT');
lev=ncread('phc3.0_annual_classic.nc','DEPTH');
so_annual=ncread('phc3.0_annual_classic.nc','SALT');
longitude(longitude<0)=longitude(longitude<0)+360;
[longitude,latitude]=meshgrid(longitude,latitude);
longitude=longitude';
latitude=latitude';

km = length(lev);

mask(mask==0)=NaN;
my_mask=griddata(x,y,mask,longitude,latitude);
my_area=griddata(x,y,double(area),longitude,latitude);

mask_eb = my_mask;
mask_eb(my_mask<1.5)=0;
mask_eb(mask_eb>.5)=1;
mask_eb(mask_eb<0.5)=0;

mask_cb = my_mask;
mask_cb(my_mask>1.1)=0;
mask_cb(mask_cb>.5)=1;
mask_cb(mask_cb<0.5)=0;

so_annual(so_annual<0)=NaN;

figure(1)
set(gcf,'unit','normalized','position',[.1 .1 .8 .6])
subplot(1,2,1)
m_proj('stereographic','lat',90,'long',0,'radius',30);
m_pcolor(longitude,latitude,mask_eb);shading flat
m_grid('tickdir','out','ytick',[70 80],'xtick',-180:45:180,'yticklabel','','fontsize',18,'linestyle','-');
mask_eb(mask_eb<0.5)=NaN;
subplot(1,2,2)
m_proj('stereographic','lat',90,'long',0,'radius',30);
m_pcolor(longitude,latitude,mask_cb);shading flat
m_grid('tickdir','out','ytick',[70 80],'xtick',-180:45:180,'yticklabel','','fontsize',18,'linestyle','-');
mask_cb(mask_cb<0.5)=NaN;

clear s_eb s_cb

for k=1:km
    tmp1=mask_eb.*so_annual(:,:,k);
    tmp2=tmp1.*my_area;
    tmp3=tmp1;
    tmp3(~isnan(tmp1))=1;
    tmp4=tmp3.*my_area;
    s_eb(k)= nansum(tmp2(:))/nansum(tmp4(:));

    tmp1=mask_cb.*so_annual(:,:,k);
    tmp2=tmp1.*my_area;
    tmp3=tmp1;
    tmp3(~isnan(tmp1))=1;
    tmp4=tmp3.*my_area;
    s_cb(k)= nansum(tmp2(:))/nansum(tmp4(:));
end
