clc
clear
close all
addpath d:/001-tools/001-Matlab/mytoolbox/m_map/
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
load('mask_2p.mat');
x=lon;
y=lat;
files = ls('../so_combine/*.nc');
for i=1:length(files(:,1))
    so_file = strtrim(files(i,:));
    to_file = ['thetao' so_file(3:end)];
    
    for ii=1:length(to_file)-4
        if(to_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=to_file(13:ee)
        end
    end
    
    ginfo=ncinfo(['..\thetao_combine\' to_file]);   
    aa=ginfo.Variables;
    ncid=netcdf.open(['..\thetao_combine\' to_file],'nowrite');
        for ii=0:length(aa)-1
            var=netcdf.inqVar(ncid,ii);
            if(length(var)==3)
                if(var=='lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
                if(var=='lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==8)
                if(var=='latitude')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==9)
                if(var=='longitude')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end

            if(length(var)==7)
                if(var=='nav_lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==7)
                if(var=='nav_lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
        end
    netcdf.close(ncid);
    
    if(length(longitude(:,1))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end
    if(length(longitude(1,:))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end
    longitude(longitude<0)=longitude(longitude<0)+360;
      
    time = ncread(['../thetao_combine/' to_file],'time');
    istart = length(time)-62*12+1;
    iend = length(time);
    
    if(length(model) == 12)
        if(model == 'IPSL-CM6A-LR')
            lev_bnds = ncread(['../thetao_combine/' to_file], 'olevel_bounds');
        else
            lev_bnds = ncread(['../thetao_combine/' to_file], 'lev_bnds');
        end
    else
        lev_bnds = ncread(['../thetao_combine/' to_file], 'lev_bnds');
    end
    clear km n
    km = length(lev_bnds(1,:));
    
    if(length(model) == 10)
        if(model == 'MIROC-ES2L')
            uo = ncread(['../uo_combine/uo' to_file(7:end)], 'uo',[1 1 1 1],[Inf Inf Inf 1]);
            uo(uo==0)=NaN;
        end
    end
    
    km=length(lev_bnds(1,:));
    
    for k=1:km
        z = mean(lev_bnds(:,k));
    end
    
    lev = mean(lev_bnds,1);
    
    mask(mask==0)=NaN;
    my_mask=griddata(x,y,mask,longitude,latitude);
    my_area=griddata(x,y,double(area),longitude,latitude);
    
    mask_eb = my_mask;
    mask_eb(my_mask<1.5)=0;
    mask_eb(mask_eb>.5)=1;
    mask_eb(mask_eb<0.5)=0;
    
    mask_cb = my_mask;
    mask_cb(my_mask>1.1)=0;
    mask_cb(mask_cb>.5)=1;
    mask_cb(mask_cb<0.5)=0;
    
    figure(i)
    set(gcf,'unit','normalized','position',[.1 .1 .8 .6])
    subplot(1,2,1)
    m_proj('stereographic','lat',90,'long',0,'radius',30);
    m_pcolor(longitude,latitude,mask_eb);shading flat
    m_grid('tickdir','out','ytick',[70 80],'xtick',-180:45:180,'yticklabel','','fontsize',18,'linestyle','-');
    mask_eb(mask_eb<0.5)=NaN;
    subplot(1,2,2)
    m_proj('stereographic','lat',90,'long',0,'radius',30);
    m_pcolor(longitude,latitude,mask_cb);shading flat
    m_grid('tickdir','out','ytick',[70 80],'xtick',-180:45:180,'yticklabel','','fontsize',18,'linestyle','-');
    mask_cb(mask_cb<0.5)=NaN;
    
    clear t_eb t_cb
    n=1;
    for ii = istart:12:iend
        to = ncread(['../thetao_combine/' to_file], 'thetao', [1 1 1 ii], [Inf Inf Inf 12]);
        clear to_annual; to_annual = nanmean(to,4); clear to
        
        if(length(model) == 10)
            if(model == 'MIROC-ES2L')
                to_annual(isnan(uo)) = NaN;
            end
        end     
        for k=1:km
            tmp1=mask_eb.*to_annual(:,:,k);
            tmp2=tmp1.*my_area;
            tmp3=tmp1;
            tmp3(~isnan(tmp1))=1;
            tmp4=tmp3.*my_area;
            t_eb(k,n)= nansum(tmp2(:))/nansum(tmp4(:));
            
            tmp1=mask_cb.*to_annual(:,:,k);
            tmp2=tmp1.*my_area;
            tmp3=tmp1;
            tmp3(~isnan(tmp1))=1;
            tmp4=tmp3.*my_area;
            t_cb(k,n)= nansum(tmp2(:))/nansum(tmp4(:));
        end
        n=n+1;
    end
    save(model,'t_eb','t_cb','lev')   
end
asdfdas
%%
clc
clear
close all
files = ls('../so_combine/*.nc');
z=10:10:5000;
for i=1:length(files(:,1))
    so_file = strtrim(files(i,:));
    to_file = ['thetao' so_file(3:end)];
    
    for ii=1:length(to_file)-4
        if(to_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=to_file(13:ee)
        end
    end
    clear t_eb_tmp t_cb_tmp
    load(model,'t_eb','t_cb','lev')
    t_eb_tmp = nanmean(t_eb(:,14:43),2); %1961:1990
    t_cb_tmp = nanmean(t_cb(:,14:43),2); %1961:1990
    t_eb_all(1:500,i) = interp1(lev,t_eb_tmp,z);
    t_cb_all(1:500,i) = interp1(lev,t_cb_tmp,z);
end
load('phc.mat');
%%
close all
figure(1)
set(gcf,'unit','normalized','position',[.05 .1 .5 .5])
set(axes,'position',[.1 .15 .27 .75])
plot(phc(:,1),phc(:,2),'k-.','linewidth',3)
hold on
plot(z(1:400),nanmean(t_eb_all(1:400,:),2),'k','linewidth',3)
for i=1:7
    plot(z,t_eb_all(:,i),'linewidth',2)
end
for i=8:14
    plot(z,t_eb_all(:,i),'-.','linewidth',2)
end
hold on
plot(phc(:,1),phc(:,2),'k-.','linewidth',3)
plot(z(1:400),nanmean(t_eb_all(1:400,:),2),'k','linewidth',3)
view(90,90)
axis([0 4000 -2 3])
set(gca,'fontsize',14,'tickdir','out','ytick',-2:1:3)
xlabel('Depth [m]');ylabel('Temperature [\circC]')
grid on
title('(a) Eurasian Basin')

set(axes,'position',[.47 .15 .27 .75])
plot(phc(:,1),phc(:,3),'k-.','linewidth',3)
hold on
plot(z(1:400),nanmean(t_cb_all(1:400,:),2),'k','linewidth',3)
for i=1:7
    plot(z,t_cb_all(:,i),'linewidth',2)
end
for i=8:14
    plot(z,t_cb_all(:,i),'-.','linewidth',2)
end
hold on
plot(phc(:,1),phc(:,3),'k-.','linewidth',3)
plot(z(1:400),nanmean(t_cb_all(1:400,:),2),'k','linewidth',3)
view(90,90)
axis([0 4000 -2 3])
set(gca,'fontsize',14,'tickdir','out','ytick',-2:1:3)
xlabel('Depth [m]');ylabel('Temperature [\circC]')
grid on
title('(b) Canadian Basin')

set(axes,'position',[.76 .15 .2 .75])
aaa=0:.1:1; bbb(1:length(aaa))=1; plot(aaa,bbb,'k-.','linewidth',3);text(1.2,bbb(1),'PHC3.0','fontsize',12)
hold on
aaa=0:.1:1; bbb(1:length(aaa))=0.95; plot(aaa,bbb,'k-','linewidth',3);text(1.2,bbb(1),'OMIP1 MMM','fontsize',12)
for i=1:7
    so_file = strtrim(files(i,:));
    to_file = ['thetao' so_file(3:end)];
    
    for ii=1:length(to_file)-4
        if(to_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=to_file(13:ee)
        end
    end
    aaa=0:.1:1; bbb(1:length(aaa))=0.95-0.05*i; plot(aaa,bbb,'linewidth',2);text(1.2,bbb(1),model,'fontsize',12)
end
for i=8:14
    so_file = strtrim(files(i,:));
    to_file = ['thetao' so_file(3:end)];
    
    for ii=1:length(to_file)-4
        if(to_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=to_file(13:ee)
        end
    end
    aaa=0:.1:1; bbb(1:length(aaa))=0.95-0.05*i; plot(aaa,bbb,'-.','linewidth',2);text(1.2,bbb(1),model,'fontsize',12)
end
axis([0 5 0.2 1.2])
set(gca,'xtick',[],'ytick',[],'xcolor','w','ycolor','w')
