clc
clear
close all
addpath d:/001-tools/001-Matlab/mytoolbox/m_map/
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
%%
files = ls('../so_combine/*.nc');
for i=2:2%length(files(:,1))
    so_file = strtrim(files(i,:));
    to_file = ['thetao' so_file(3:end)];
    
    for ii=1:length(to_file)-4
        if(to_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=to_file(13:ee)
        end
    end
    file_tmp = ['..\thetao_combine\' to_file];
    
    clear tmp
    tmp = ls(['..\grid\*' model '*' ]);
    if( length(tmp) >0 )
        file_tmp = ['..\grid\' tmp];
    end
    ginfo=ncinfo(file_tmp);   
    aa=ginfo.Variables;
    ncid=netcdf.open(file_tmp,'nowrite');
        for ii=0:length(aa)-1
            var=netcdf.inqVar(ncid,ii);
            if(length(var)==3)
                if(var=='lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
                if(var=='lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==8)
                if(var=='latitude')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==9)
                if(var=='longitude')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end

            if(length(var)==7)
                if(var=='nav_lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==7)
                if(var=='nav_lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
        end
    netcdf.close(ncid);
    
    if(length(longitude(:,1))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end
    if(length(longitude(1,:))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end
      
    time = ncread(['../thetao_combine/' to_file],'time');
    istart = length(time)-61*12+1;
    iend = length(time);
    
    if(length(model) == 12)
        if(model == 'IPSL-CM6A-LR')
            lev_bnds = ncread(file_tmp, 'olevel_bounds');
        else
            lev_bnds = ncread(file_tmp, 'lev_bnds');
        end
    elseif(length(model) == 10)
        if(model == 'CNRM-CM6-1')
            lev_bnds = ncread(file_tmp, 'lev_bounds');
            else
            lev_bnds = ncread(file_tmp, 'lev_bnds');
        end
    else
        lev_bnds = ncread(file_tmp, 'lev_bnds');
    end
    clear km n
    km = length(lev_bnds(1,:));
    
    if(length(model) == 10)
        if(model == 'MIROC-ES2L')
            uo = ncread(['../uo_combine/uo' to_file(7:end)], 'uo',[1 1 1 1],[Inf Inf Inf 1]);
            uo(uo==0)=NaN;
        end
    end
    
    n = 1958;
    
    lev = mean(lev_bnds,1);
    z = double(abs(lev-400));
    [minz,km] = min(z);
    km
  
    mkdir( model )
    for ii = istart:12:iend
        to = ncread(['../thetao_combine/' to_file], 'thetao', [1 1 1 ii], [Inf Inf Inf 12]);
        clear to_annual tmp; to_annual = nanmean(to,4); clear to
        
        if(length(model) == 10)
            if(model == 'MIROC-ES2L')
                to_annual(isnan(uo)) = NaN;
            end
        end
        t400 = to_annual(:,:,km);
        
        so = ncread(['../so_combine/' so_file], 'so', [1 1 1 ii], [Inf Inf Inf 12]);
        clear so_annual tmp; so_annual = nanmean(so,4); clear so
        
        if(length(model) == 10)
            if(model == 'MIROC-ES2L')
                so_annual(isnan(so)) = NaN;
            end
        end
        s400 = so_annual(:,:,km);
        
        save([model '/' num2str(n)], 'longitude', 'latitude', 't400', 's400');
        n = n + 1;
    end
%%    
    close all
    figure(1)
    set(gcf,'unit','normalized','position',[.1 .1 .6 .4])
    subplot(1,2,1)
    m_proj('stereographic','latitude',90,'radius',20,'rotangle',30);
    m_contourf(longitude,latitude,t400,-2:.3:5,'linestyle','none');
    m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','');
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    caxis([-2 5])
    colorbar
    title(model);
    
    subplot(1,2,2)
    m_proj('stereographic','latitude',90,'radius',20,'rotangle',30);
    m_contourf(longitude,latitude,s400,34.2:.02:35.2,'linestyle','none');
    m_grid('xtick',-180:60:180,'ytick',50:10:80,'tickdir','out','fontsize',12,'yticklabel','');
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    caxis([34.2 35.2])
    colormap('jet');
    colorbar
    title(model);
    saveas(1,[model '.bmp'])
end




