clc
clear
close all
%%
y=60:.25:90;
x=70:180:250;
[x,y]=meshgrid(x,y);
%%
figure(1)
set(gcf,'unit','normalized','position',[.05 .05 .8 .9])
%%
load('PHC3.0.mat')
if(isnan(section(120,1,1)))
    section(120,:,:)=section(119,:,:);
    section(123,:,:)=section(124,:,:);
end

section(121,:,:)=section(120,:,:);
section(122,:,:)=section(123,:,:);
subplot(3,5,1)
xx=1:242;
[xxx,yy]=meshgrid(xx,lev/1000);
pcolor(xxx,yy,nanmean(section,3)');
shading flat
hold on
contour(xxx,yy,nanmean(section,3)',[0 0],'linecolor','k','linewidth',2);
caxis([-2 2]);axis([41 202 0 5]);xlabel('Latitude [\circN]');ylabel('Depth [km]')
set(gca,'ydir','reverse','fontsize',14,'xtick',41:40:202,'xticklabel',{'70';'80';'90';'80';'70'},'tickdir','out','ytick',0:1:5,'ticklength',[.03 .03])
title('PHC3.0')
grid on
%%
files = {'AWI-CM-1-1-LR';'CESM2';'CMCC-CM2-HR4';'CMCC-CM2-SR5';'CNRM-CM6-1';'EC-Earth3';'FGOALS-f3-L';'MIROC6';'MRI-ESM2-0';'NorESM2-LM'};
for i=1:length(files(:,1))
    model=files{i};
    load(model,'section','x','y','lev')
    if(isnan(section(120,1,1)))
        section(120,:,:)=section(119,:,:);
        section(123,:,:)=section(124,:,:);
    end
    
    section(121,:,:)=section(120,:,:);
    section(122,:,:)=section(123,:,:);
    if (length(model)==12)
        if(model == 'CMCC-CM2-HR4')
            for j=114:129
                section(j,:,:)=section(113,:,:)+(section(130,:,:)-section(113,:,:))*(j-113)/(130-113);
            end
        end
    end
    
    if (i==length(files(:,1)))
        model
        axes('position',[.133 .12 .124 .204])
    else
        subplot(3,5,i+1)
    end
    xx=1:242;
    [xxx,yy]=meshgrid(xx,lev/1000);
    pcolor(xxx,yy,nanmean(section(:,:,14:43),3)');  %1971-2000
    shading flat
    hold on
    contour(xxx,yy,nanmean(section(:,:,14:43),3)',[0 0],'linecolor','k','linewidth',2);  %1971-2000
    caxis([-2 2]);axis([41 202 0 5]);xlabel('Latitude [\circN]');ylabel('Depth [km]')
    set(gca,'ydir','reverse','fontsize',14,'xtick',41:40:202,'xticklabel',{'70';'80';'90';'80';'70'},'tickdir','out','ytick',0:1:5,'ticklength',[.03 .03])
    title(model)
    grid on
end
h=colorbar('southoutside');
colormap('jet')
clear cc ccc
cc=colormap;
ccc=cc(1:64/16:64,:);
colormap(othercolor(184,16))
set(h,'position',[.35 .21 .5 .015],'fontsize',14,'ytick',-2:.5:2,'tickdir','out','linewidth',.5)
cbarrow('right')