clc
clear
close all
addpath d:/001-tools/001-Matlab/mytoolbox/m_map/
addpath D:\001-tools\001-Matlab\matlab_colormap\othercolor
addpath D:\001-tools\001-Matlab\mytoolbox\seawater_ver3_3
%%
files = ls('../so_combine/*.nc');
for i=2:2 %:length(files(:,1))
    so_file = strtrim(files(i,:));
    to_file = ['thetao' so_file(3:end)];
    
    for ii=1:length(to_file)-4
        if(to_file(ii:ii+3)=='omip')
            ee=ii-2;
            model=to_file(13:ee)
        end
    end
    
    file_tmp = ['..\thetao_combine\' to_file];
    
    clear tmp
    tmp = ls(['..\grid\*' model '*' ]);
    if( length(tmp) >0 )
        file_tmp = ['..\grid\' tmp];
    end
    ginfo=ncinfo(file_tmp);   
    aa=ginfo.Variables;
    ncid=netcdf.open(file_tmp,'nowrite');
        for ii=0:length(aa)-1
            var=netcdf.inqVar(ncid,ii);
            if(length(var)==3)
                if(var=='lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
                if(var=='lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==8)
                if(var=='latitude')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==9)
                if(var=='longitude')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end

            if(length(var)==7)
                if(var=='nav_lon')
                    longitude=double(netcdf.getVar(ncid,ii));
                end
            end
            if(length(var)==7)
                if(var=='nav_lat')
                    latitude=double(netcdf.getVar(ncid,ii));
                end
            end
        end
    netcdf.close(ncid);
    
    if(length(longitude(:,1))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end
    if(length(longitude(1,:))==1)
        [longitude latitude]=meshgrid(longitude,latitude);
        longitude=longitude';
        latitude=latitude';
    end
      
    time = ncread(['../thetao_combine/' to_file],'time');
    istart = length(time)-61*12+1;
    iend = length(time);
    
    if(length(model) == 12)
        if(model == 'IPSL-CM6A-LR')
            lev_bnds = ncread(file_tmp, 'olevel_bounds');
            lev = ncread(file_tmp, 'olevel');
        else
            lev_bnds = ncread(file_tmp, 'lev_bnds');
            lev = ncread(file_tmp, 'lev');
        end
    elseif(length(model) == 10)
        if(model == 'CNRM-CM6-1')
            lev_bnds = ncread(file_tmp, 'lev_bounds');
            lev = ncread(file_tmp, 'lev');
            else
            lev_bnds = ncread(file_tmp, 'lev_bnds');
            lev = ncread(file_tmp, 'lev');
        end
    else
        lev_bnds = ncread(file_tmp, 'lev_bnds');
        lev = ncread(file_tmp, 'lev');
    end
    
    if(length(model) == 5)
        if(model == 'CESM2')
            lev = lev/100;
        end
    end
    
    if(length(model) == 10)
        if(model == 'MIROC-ES2L')
            uo = ncread(['../uo_combine/uo' to_file(7:end)], 'uo',[1 1 1 1],[Inf Inf Inf 1]);
            uo(uo==0)=NaN;
        end
    end
    
    mkdir( [ 'chl/' model] )
    for yyyy = 1958:2018
        for mm = 1:12
            ii = istart + mm - 1 + (yyyy-1958)*12;
            to = ncread(['../thetao_combine/' to_file], 'thetao', [1 1 1 ii], [Inf Inf Inf 1]);
            so = ncread(['../so_combine/' so_file], 'so', [1 1 1 ii], [Inf Inf Inf 1]);
            if(length(model) == 10)
                if(model == 'MIROC-ES2L')
                    to(isnan(uo)) = NaN;
                    so(isnan(uo)) = NaN;
                end
            end
            
            load([ 'alpha_beta/' model '/' num2str(yyyy) num2str(mm,'%2.2i')], 'longitude', 'latitude', 'lev', 'alpha', 'beta');
            
            clear aa bb cc dd
            aa = alpha(:,:,1:end-1) + alpha(:,:,2:end);
            bb =  beta(:,:,1:end-1) + beta(:,:,2:end);
            cc = to(:,:,1:end-1) - to(:,:,2:end);
            dd = so(:,:,1:end-1) - so(:,:,2:end);
            aaa = aa.*cc;
            bbb = bb.*dd;
            ccc = 1./bbb;
            r = aaa.*ccc;
            r(r<0)=NaN;
            
            z = lev_bnds(2,:);
            [cc,dd]=nanmin(abs(z-600));
            
            clear chl
            chl(1:length(longitude(:,1)),1:length(longitude(1,:))) = NaN;
            for ii=1:length(longitude(:,1))
                for jj=1:length(longitude(1,:))
                    if(latitude(ii,jj)>60)
                        [aa,bb]=nanmin(r(ii,jj,1:dd));
                        rr = r(ii,jj,bb:dd);
                        zz = z(bb:dd);
                        for kk=length(rr)-1:-1:1
                            if(rr(kk)<0.05 && rr(kk+1)>=0.05)
                                chl(ii,jj)=zz(kk)+(0.05-rr(kk))*(zz(kk+1)-zz(kk))/(rr(kk+1)-rr(kk));
                                break
                            end
                        end
                    end
                end
            end 
            save([ 'chl/' model '/' num2str(yyyy) num2str(mm,'%2.2i')], 'longitude', 'latitude', 'chl');
        end
    end
    %%
    close all
    figure(2)
    m_proj('stereographic','latitude',90,'radius',20.1,'rotangle',00);
    m_pcolor(longitude,latitude,chl); 
    shading flat
    m_grid('xtick',-180:60:180,'ytick',70:5:90,'tickdir','out','yticklabel','');
    m_coast('patch',[.7 .7 .7],'edgecolor','k');
    caxis([0 200])
    colorbar
end






